unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, ADODB, HTTPApp, HTTPProd, DBWeb,
  DBTables, Spin, ShellApi, mWebScrollTable;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Query1: TQuery;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    SpinEdit3: TSpinEdit;
    SpinEdit4: TSpinEdit;
    SpinEdit5: TSpinEdit;
    SpinEdit6: TSpinEdit;
    mWebScrollTable1: TmWebScrollTable;
    procedure Button1Click(Sender: TObject);
    procedure mWebScrollTable1FormatCell(Sender: TObject; Header: Boolean;
      CellRow, CellColumn: Integer; var BgColor: THTMLBgColor;
      var Align: THTMLAlign; var VAlign: THTMLVAlign; var CustomAttrs,
      CellData: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Query1.SQL.Text:= 'select Event_Name,Event_Date,Event_Time,Ticket_price ' +
    'from events order by event_name';
  with mWebScrollTable1 do
  begin
    IFrameFile:= Edit1.Text;
    HeaderFile:= Edit2.Text;
    BodyFile:= Edit3.Text;
    Width:= SpinEdit1.Value;
    HeaderHeight:= SpinEdit2.Value;
    BodyHeight:= SpinEdit3.Value;
    MarginWidth:= SpinEdit4.Value;
    MarginHeight:= SpinEdit5.Value;
    ScrollBarOffset:= SpinEdit6.Value;
    Execute;
  end;
  ShellExecute(0, 'open', PChar(ExtractFilePath(Application.ExeName) + '\' +
    mWebScrollTable1.IFrameFile), '', '', SW_SHOWNORMAL);
end;

procedure TForm1.mWebScrollTable1FormatCell(Sender: TObject;
  Header: Boolean; CellRow, CellColumn: Integer; var BgColor: THTMLBgColor;
  var Align: THTMLAlign; var VAlign: THTMLVAlign; var CustomAttrs,
  CellData: string);
begin
  if Header then
    if CellRow = 0 then
      BgColor:= 'yellow';

  if not Header then
    if CellRow > 0 then
      if CellRow mod 2 = 0 then
      begin
        BgColor:= 'blue';
        CellData:= '<font color=white>' + CellData;
      end
      else
        BgColor:= 'white';
end;

end.

